package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Completed_or_archive_childRepository;
import com.realnet.vpspack.Entity.Completed_or_archive_child
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class Completed_or_archive_childService {
@Autowired
private Completed_or_archive_childRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Completed_or_archive_child Savedata(Completed_or_archive_child data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Completed_or_archive_child save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Completed_or_archive_child> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Completed_or_archive_child> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Completed_or_archive_child> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Completed_or_archive_child getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Completed_or_archive_child update(Completed_or_archive_child data,Integer id) {
	Completed_or_archive_child old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setAgent(data.getAgent());

old.setSupplier_acknowledged (data.isSupplier_acknowledged());

old.setStatus(data.getStatus());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setSupplier(data.getSupplier());

old.setPhone_number(data.getPhone_number());

old.setEmail_id(data.getEmail_id());

old.setNote(data.getNote());

old.setVisa(data.getVisa());

old.setCoupon(data.getCoupon());

final Completed_or_archive_child test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
